<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/movedata.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>movedata.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for movedata.c:</div>
<div class="dynsection">
<div class="center"><img src="movedata_8c__incl.png" border="0" usemap="#init_2movedata_8c_map" alt=""/></div>
<map name="init_2movedata_8c_map" id="init_2movedata_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="135,86,185,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="209,86,279,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="movedata_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006">DataMoveData</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aac2a4c334ae5c2baef33867114fe8006"></a><!-- doxytag: member="movedata.c::DataMoveData" ref="aac2a4c334ae5c2baef33867114fe8006" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int DataMoveData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="movedata_8c_source.html#l00030">30</a> of file <a class="el" href="movedata_8c_source.html">movedata.c</a>.</p>

<p>References <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="griddata_8h_source.html#l00214">GridData::bndfacvert</a>, <a class="el" href="distint_8c_source.html#l00030">distint()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00212">GridData::ln_bnd_fac</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="griddata_8h_source.html#l00211">GridData::n_bnd_fac</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00210">GridData::n_vert_bnd</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00096">NN</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00213">GridData::vertbndg2bnd</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="movedata_8c_aac2a4c334ae5c2baef33867114fe8006_cgraph.png" border="0" usemap="#movedata_8c_aac2a4c334ae5c2baef33867114fe8006_cgraph_map" alt=""></div>
<map name="movedata_8c_aac2a4c334ae5c2baef33867114fe8006_cgraph_map" id="movedata_8c_aac2a4c334ae5c2baef33867114fe8006_cgraph">
<area shape="rect" id="node3" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="184,5,237,35"/><area shape="rect" id="node5" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b" title="distint" alt="" coords="183,58,239,89"/><area shape="rect" id="node7" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="168,165,253,195"/><area shape="rect" id="node13" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="164,111,257,142"/><area shape="rect" id="node9" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="308,111,409,142"/><area shape="rect" id="node11" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="333,165,384,195"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="movedata_8c_aac2a4c334ae5c2baef33867114fe8006_icgraph.png" border="0" usemap="#movedata_8c_aac2a4c334ae5c2baef33867114fe8006_icgraph_map" alt=""></div>
<map name="movedata_8c_aac2a4c334ae5c2baef33867114fe8006_icgraph_map" id="movedata_8c_aac2a4c334ae5c2baef33867114fe8006_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="164,5,223,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="272,5,323,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

